"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const router_1 = require("next/router");
const react_1 = require("react");
const query_parsed_1 = require("query-parsed");
function useQuery(config) {
    const router = (0, router_1.useRouter)();
    const serialized = (0, query_parsed_1.serializeConfig)(config !== null && config !== void 0 ? config : {});
    return (0, react_1.useMemo)(() => {
        const deserialized = (0, query_parsed_1.deserializeConfig)(serialized);
        const [, query] = router.asPath.split('?');
        return (0, query_parsed_1.parse)(query, config, { arrayFormat: "comma" });
    }, [router.asPath, serialized]);
}
exports.default = useQuery;
